#!/usr/local/bin/wish
################################################################################
# $Id: server.tcl,v 1.1 2000/06/27 18:40:37 glahti Exp $
################################################################################
# filename:    server.tcl
#   author:    Gregg D. Lahti
#  created:    06/26/00
################################################################################
# description: server socket program to start up when running TOPS
################################################################################

proc buildmain {} {
	wm title . "TOPS Logviewer"
	wm protocol . WM_DELETE_WINDOW { set closewindow 1 }
}

proc buildframe {sock} {
	global tframe 
	set tframe [frame ".$sock"]       ;# Create a text widget to log the output
	set $tframe.log [text $tframe.log -width 80 -height 10 \
		-borderwidth 2 -relief raised -setgrid true \
		-yscrollcommand {$tframe.scroll set}]
	scrollbar $tframe.scroll -command {$tframe.log yview}
	pack $tframe.scroll -side right -fill y
	pack $tframe.log -side left -fill both -expand true
	pack $tframe -side top -fill both -expand true
}

proc display {sock line} {
	global tframe
	.$sock.log insert end $line\n
}

proc StartServer {port} {
	global echo
	set echo(main) [socket -server SocketAccept $port]
}

proc SocketAccept {sock addr port} {
	global echo
	set echo(addr,$sock) [list $addr $port]
	fconfigure $sock -buffering line
	fileevent $sock readable [list GetFromClient $sock]
	buildframe $sock
}

proc GetFromClient {sock} {
	global tframe echo log 
	if {[eof $sock] || [catch {gets $sock line}]} {  ;# end of file or wierd drop
		close $sock
		unset echo(addr,$sock)
	} else {
		if {[string compare $line "closeit"] == 0} {
			# Prevent new connections, existing connections stay open.
			close $echo(main)
		} else {
			display $sock $line
		}
	}
} 

################################################################################
# Start of Main program
################################################################################

set port [lindex $argv 0]
if { $port == "" } {
	puts stdout "Erorr:  invalid port!  \n";
	puts stdout "usage:  server.tcl [port]\n";
	exit 1;
}
buildmain           ;# create & label window
StartServer $port   ;# start up server & listen on socket
vwait closewindow		;# handle events
exit 0


################################################################################
# $Log: server.tcl,v $
# Revision 1.1  2000/06/27 18:40:37  glahti
# Initial checkin
#
################################################################################

