###########################################################################
# File Name    : proj_reports.tcl
# Date Created : 12/01/99
# Author       : Tim L. Wilson, Gregg D. Lahti & Rodney Pesavento
# Project      : TOPS Example Code for SNUG
###########################################################################
# $Id$
###########################################################################
#  Description:  Project specific reports procs. Add others as needed.
###########################################################################

#######################################################################
# Procedure to run all proj reports and TOPS scripts
#######################################################################
proc P_proj_reports {rpath dn} {
  global G_TOPS; # reference global TOPS variable array

  # This is a list of the TOPS report procs.  Comment & use as needed
  P_report_area $rpath $dn;
  P_report_check_design $rpath $dn;
  P_report_check_design_ungroup $rpath $dn;
  P_report_check_timing $rpath $dn;
  P_report_clock $rpath $dn;
  P_report_compile_options $rpath $dn;
  P_report_design $rpath $dn;
  P_report_dont_use_cells $rpath $dn;
  P_report_ignored $rpath $dn;
  P_report_port $rpath $dn;
  P_report_reference $rpath $dn;
  P_report_reference_ungroup $rpath $dn;
  P_report_test $rpath $dn;
  P_report_unmapped $rpath $dn;
  P_report_vio $rpath $dn;
  P_report_vio_max_cap $rpath $dn;
  P_report_vio_max_delay $rpath $dn;
  P_report_vio_min_delay $rpath $dn;
  P_report_ins2flops $rpath $dn;
  P_report_flops2outs $rpath $dn;
  P_report_ins2outs $rpath $dn;
  P_report_flop_latch $rpath $dn;
  P_report_timing_requirements $rpath $dn;

  redirect $G_TOPS(NULL) {exec grm -rf $G_TOPS(TMP)}

}; # end P_proj_reports

define_proc_attributes P_proj_reports \
  -info "PROJ_REPORTS : Procedure to run all project reports and TOPS scripts" \
  -define_args {
    {rpath "path to the report file" rpath string required}
    {dn "design name" dn string required}
}

###########################################################################
# $Log$
###########################################################################



