------------------------------------------------------------------------
-- VHDL Code Name    : pcix_tb.vhd
-- Date Created      : 02/01/00
-- Author            : 
-- Project           : TOPS
------------------------------------------------------------------------
-- $Id$
------------------------------------------------------------------------
-- Description:  RTL code for counter testcase
------------------------------------------------------------------------

LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;
USE IEEE.std_logic_unsigned.ALL;
USE work.comps_pkg.ALL;

-------------------------------------------------------------------------
--  Entity Declaration
-------------------------------------------------------------------------

ENTITY count_unit IS
  PORT (
    RST_N      : IN  std_logic;
    CLK        : IN  std_logic;
    CNT2       : OUT std_logic_vector (15 downto 0);
    CNT4       : OUT std_logic_vector (15 downto 0)
  );
END count_unit;

ARCHITECTURE count_unit_hdl of count_unit IS

BEGIN
u1 : cnt2_vlog
PORT MAP(
   RST_N   => RST_N,
   CLK     => CLK,
   CNT2    => CNT2 
   );

u2 : cnt4_vlog
PORT MAP(
   RST_N   => RST_N,
   CLK     => CLK,
   CNT4    => CNT4 
   );

END count_unit_hdl;

