#######################################################################
# $Id$
#######################################################################
# File Name    : lfsr_unit_compile.tcl
# Date Created : 06/30/2000 
# Author       : Doug Hergatt
#######################################################################
# Description: TOPS PROJECT Specific utility procedures for synthesis
#######################################################################

#######################################################################
# Usage: dma_unit_compile.tcl
#
# This procedure is used to create the project compilation strategy
#######################################################################

echo "#PROJ: Setting scan configuration";

# Scan Chain Configuration, Pass expected number of chains
P_proj_precompile_scan 4;

set_flatten false;
set_structure true;

#######################################################################
# May want to try new boolean optimization for 1997.01 & up
#######################################################################
set compile_new_boolean_structure true;
set_structure true -boolean true -boolean_effort medium;

# Fix multiply instantiated designs
uniquify;

echo "#PROJ: Performing project compile";
compile -map_effort medium -scan;

# Ungroup the designware components
P_proj_ungroup_dw;

# Cleanup the mess from the DW ungroup, ports & cells
compile -map_effort medium -incremental;

# Dump intermediate outputs with no scan, support for GLS
P_proj_outputs $G_DBS_PATH $G_DESIGN_NAME $G_OUTPUTS_PATH $G_SRC_ID_LIST;

echo "#PROJ: Inserting scan chains";

# Keeps insert_scan from placing inverters in scan path
set test_disable_find_best_scan_out true;
set test_dont_fix_constraint_violations true;

# Insert scan chains based on variables set
insert_scan -ignore_compile_design_rules;

# Set some input delays or false paths on the test_se & test_si pins
set_input_delay 1000.0 -clock $G_DEFAULT_CLOCK {test_se test_si*};
set_false_path -from {test_se test_si*};

#######################################################################
# $Log$
#######################################################################
